import 'package:dark_whats/domain/model/chat.dart';
import 'package:dark_whats/ui/chat/widgets/chat_item.dart';
import 'package:flutter/material.dart';

class ChatListPage extends StatelessWidget {

  final List<Chat> chats = [
    Chat(image: 'dan', name: 'Dan', message: 'Hot damn!', count: 1, hour: '13:56', pin: true),
    Chat(image: 'kal', name: 'Kal', message: 'Hello my friend', count: 1, hour: '12:00', pin: true),
    Chat(image: 'markel', name: 'Markel', message: 'What would you like to drink?', count: 1, hour: '10:30', pin: true),
    Chat(image: 'matteo', name: 'Matteo', message: 'How nice!', count: 1, hour: '10:15', pin: true),
    Chat(image: 'qim', name: 'Qim', message: 'What help you need?', count: 1, hour: '09:00', pin: true),
    Chat(image: 'sebastian', name: 'Sebastian', message: 'Not today man, sorry!', count: 1, hour: '07:30', pin: true),
    Chat(image: 'bella', name: 'Bella', message: 'Hello my litle boy', count: 1, hour: 'Yesterday', pin: true),
  ];

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Column(
          mainAxisAlignment: MainAxisAlignment.start,
          crossAxisAlignment: CrossAxisAlignment.start,
          children: <Widget>[
            Padding(
              padding: const EdgeInsets.all(10),
              child: Text("Chats",
                  style: TextStyle(
                      color: Colors.white,
                      fontWeight: FontWeight.w600,
                      fontSize: 22)),
            ),
            Container(
              height: 2,
              width: MediaQuery.of(context).size.width,
              color: Colors.grey[300],
            )
          ],
        ),
        Expanded(
          child: Container(
            child: ListView.separated(
              scrollDirection: Axis.vertical,
              itemCount: chats.length,
              itemBuilder: (context, index) {
                final Chat chat = chats[index];
                return ChatItem(chat: chat);
              },
              separatorBuilder: (context, index) {
                return Divider(color: Colors.grey[800], height: 0.5,);
              },
            ),
          ),
        )
      ],
    );
  }
}
