import 'package:dark_whats/domain/model/chat.dart';
import 'package:fleva_icons/fleva_icons.dart';
import 'package:flutter/material.dart';

class ChatItem extends StatelessWidget {
  final Chat chat;

  ChatItem({this.chat});

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.all(16),
      child: Container(
        alignment: Alignment.center,
        height: 80,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceBetween,
          children: <Widget>[
            Container(
              width: 80,
              height: 80,
              decoration: BoxDecoration(
                borderRadius: BorderRadius.all(Radius.circular(50)),
                image: DecorationImage(
                  image: AssetImage('assets/images/${chat.image}.jpg'),
                  fit: BoxFit.cover
                )
              ),
            ),
            Expanded(
              child: Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: <Widget>[
                  SizedBox(width: 16,),
                  Column(
                    mainAxisAlignment: MainAxisAlignment.center,
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: <Widget>[
                      Text(chat.name, style: TextStyle(color: Colors.white, fontSize: 22, fontWeight: FontWeight.bold),),
                      SizedBox(height: 3,),
                      Text(' ', maxLines: 1, style: TextStyle(color: Colors.grey, fontSize: 16, fontWeight: FontWeight.w400),),
                      SizedBox(height: 3,),
                      Text(chat.message, maxLines: 1, style: TextStyle(color: Colors.grey, fontSize: 16, fontWeight: FontWeight.w400),)
                    ],
                  )
                ],
              ),
            ),
            Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: <Widget>[
                SizedBox(height: 3,),
                Row(
                  children: <Widget>[
                    Icon(Icons.pin_drop, color: Colors.white, size: 16,)
                  ],
                ),
                SizedBox(height: 3,),
                Text(chat.hour, style: TextStyle(color: Colors.grey, fontSize: 16, fontWeight: FontWeight.w400),)
              ],
            ),
            Padding(
              padding: EdgeInsets.all(8),
              child: Icon(FlevaIcons.heart_outline, color: Colors.white,),
            )
          ],
        ),
      ),
    );
  }
}